/**
 * @file log_comms.h
 *
 * @brief This file contains logger enumeration values for the module COMMS
 *
 */


/* Note: header guard format should not be changed */
#ifndef _LOG_COMMS_H_
#define _LOG_COMMS_H_




/* User has to update enum list */
#define COMMS_FOREACH_LOG(COMMS_LOG_NAME) 				\
        COMMS_LOG_NAME(Received_cnt__u16_)   			\
        COMMS_LOG_NAME(SBAND_volt__s16__current__s16_)  	\
        COMMS_LOG_NAME(Conn_A__u32__B__u32__C__u32_)   \
        COMMS_LOG_NAME(pass_time_is__u32___u16___u16___u8_)    \
        COMMS_LOG_NAME(X_BAND_INIT_IS_CALLED)                  \
        COMMS_LOG_NAME(TM_PACKING_FAILED)                                    \
        COMMS_LOG_NAME(SBAND_LINK_STATUS__eq__u8__SCH_STATUS__eq__u8_)              \
        COMMS_LOG_NAME(SLEEP_IDLE_FAIL_EVENT) \
        COMMS_LOG_NAME(CALIB_FAIL_EVENT)  \
        COMMS_LOG_NAME(DFU_FAIL_EVENT)  \
        COMMS_LOG_NAME(BOOT_FAIL_EVENT)   \
        COMMS_LOG_NAME(TM_STORAGE_IPC__u16_)     \
        COMMS_LOG_NAME(RECEIVED_RESPONSE_FOR_COMMS_RESET__u16_)     \
        COMMS_LOG_NAME(FIRST_SYNC_MESSAGE_RECEIVED__u8_)     \
        COMMS_LOG_NAME(COMMS_INITAL_SYNC_RCV_SOS_TIME__u8__u8__u8_)    \
        COMMS_LOG_NAME(COMMS_INITAL_SYNC_RCV_SOS_DATE__u8__u8__u16_)      \
        COMMS_LOG_NAME(RECEIVED_RESPONSE_FOR_COMMS_BOOT__u16_)    \
        COMMS_LOG_NAME(IN_BOOT_DONE_STATE)     \
        COMMS_LOG_NAME(IN_BOOT_DONE_STATE_cm_STATUS_OF_INTERNAL_DFU_REQUEST_IS__s8_)     \
        COMMS_LOG_NAME(LOG_COMMS_BOOT_FAIL_EVENT)         \
        COMMS_LOG_NAME(RECEIVED_RESPONSE_FOR_COMMS_DFU__u16_)      \
        COMMS_LOG_NAME(IN_DFU_DONE)        \
        COMMS_LOG_NAME(SENDING_INTERNAL_LOG_CFG_REQUEST)         \
        COMMS_LOG_NAME(IN_DFU_DONE_STATE_cm_STATUS_OF_INTERNAL_LOG_CFG_REQUEST_IS__s8_)     \
        COMMS_LOG_NAME(LOG_COMMS_DFU_FAIL_EVENT)               \
        COMMS_LOG_NAME(RECEIVED_RESPONSE_FOR_COMMS_CFG__u16_)               \
        COMMS_LOG_NAME(RECEIVED_RESPONSE_FOR_COMMS_CLAIB__u16_)      \
        COMMS_LOG_NAME(IN__CALIB_DONE_STATE)                  \
        COMMS_LOG_NAME(SENDING_INTERNAL_SLEEP_REQUEST)          \
        COMMS_LOG_NAME(IN_CALIB_DONE_STATE_cm_STATUS_OF_INTERNAL_SLEEP_REQUEST_IS__s8_)   \
        COMMS_LOG_NAME(RECEIVED_RESPONSE_FOR_COMMS_SLEEP__u16_)      \
        COMMS_LOG_NAME(IN_SLEEP_IDLE_DONE_STATE)      \
        COMMS_LOG_NAME(SENDING_INTERNAL_TX_REQUEST)             \
        COMMS_LOG_NAME(IN_SLEEP_DONE_STATE_cm_STATUS_OF_INTERNAL_TX_REQUEST_IS__s8_)         \
        COMMS_LOG_NAME(RECEIVED_RESPONSE_FOR_COMMS_ACTIVE_STATE__u16_)     \
        COMMS_LOG_NAME(COMMS__BYPASS_STATE)                 \
        COMMS_LOG_NAME(COMMS_INITAL_SYNC_SEN_SOS_TIME__u8__u8__u8_)   \
        COMMS_LOG_NAME(COMMS_INITAL_SYNC_SEN_SOS_DATE__u8__u8__u16_)   \
        COMMS_LOG_NAME(SBAND__INIT_SYNC_TIMER_EXP) \
        COMMS_LOG_NAME(SYNC_TIMER_RESTART)        \
        COMMS_LOG_NAME(OBC__SBAND_HEALTH_CHECK_REQ)   \
        COMMS_LOG_NAME(SCH__SBAND_GS_ST_IND)            \
        COMMS_LOG_NAME(SCH__SBAND_GS_STOP_IND)   \
        COMMS_LOG_NAME(SBAND_TX_TIMER_STOPPED_TM_SEND_STOPPED)     \
        COMMS_LOG_NAME(SBAND_TX_TIMER_STOPPED_TM_SEND_NOT_STOPPED)   \
        COMMS_LOG_NAME(COMMS_FW_COPIED_AT_NOR_FAIL)    \
        COMMS_LOG_NAME(FTM_FOR_COMMS_MODULE__NOTIFICATION_API_INVOKED)   \
        COMMS_LOG_NAME(DOWNLOAD_SUCCESS)      \
        COMMS_LOG_NAME(DOWLOAD_FAILED__CRC_ERROR)    \
        COMMS_LOG_NAME(DOWNLOAD_SUSPENDED_BY_SENDER__TIMEOUT_MODE)    \
        COMMS_LOG_NAME(DOWNLOAD_SUSPENDED_BY_SENDER__SAVE_CONTEXT_MODE)        \
        COMMS_LOG_NAME(AUTO__SAVE_CONTEXT_MODE__ACTIVATED)        \
        COMMS_LOG_NAME(DOWNLOADING_RESUMED_BY_SENDER)        \
        COMMS_LOG_NAME(DOWNLOADING_RESUMED_BACK_BY_SENDER)           \
        COMMS_LOG_NAME(DOWNLOAD_TERMINATED_DUE_TO_SUSPEND_TIMEOUT_EXPIRED)          \
        COMMS_LOG_NAME(DOWNLOAD_SUSPEND__TIMEOUT_MODE_ACCEPTED_BY_SENDER)              \
        COMMS_LOG_NAME(DOWNLOAD_RESUME_SAVECONTEXT_MODE_REQUESTED_BY_SENDER)              \
        COMMS_LOG_NAME(RESUME__SAVECONTEXT_MODE__BULKDATA__SELECTED)                    \
        COMMS_LOG_NAME(DOWNLOAD_RESUME__SAVECONTEXT_MODE_ACCEPTED_BY_SENDER)             \
        COMMS_LOG_NAME(DOWNLOAD_TERMINATED_BY_RECEIVER_NODE)              \
        COMMS_LOG_NAME(SUSPEND_TIMEOUT_REQUEST_NOT_COMPLETED)              \
        COMMS_LOG_NAME(SUSPEND_SAVECONTEXT_REQUEST_NOT_COMPLETED)                  \
        COMMS_LOG_NAME(RESUME_TIMEOUT_REQUEST_NOT_COMPLETED)               \
        COMMS_LOG_NAME(RESUME_SAVECONTEXT_REQUEST_NOT_COMPLETED)            \
        COMMS_LOG_NAME(INVALID_NOTIFICATION_NOT_PROCESSED)                 \
        COMMS_LOG_NAME(COMMS_RADIO_ID_TC__u8_TM__u8_)                      \
        COMMS_LOG_NAME(__XBAND__TM_RESPONSE_SENT)                            \
        COMMS_LOG_NAME(__XBAND__TM_PLD_RESPONSE_SENT)                       \
        COMMS_LOG_NAME(WAITING_TO_RECEIVE_IPC_IN_XBAND_THREAD_HANDLER)      \
        COMMS_LOG_NAME(RECEIVED_RESPONSE_FOR_XBAND_RESET__u16_)               \
        COMMS_LOG_NAME(RECEIVED_RESPONSE_FOR_XBAND_BOOT__u16_)                \
        COMMS_LOG_NAME(IN__BOOT_DONE_STATE)                           \
        COMMS_LOG_NAME(IN_BOOT_DONE_STATE__STATUS_OF_INTERNAL_DFU_REQUEST_IS__s8_)  \
        COMMS_LOG_NAME(RECEIVED_RESPONSE_FOR_XBAND_DFU__u16_)            \
        COMMS_LOG_NAME(RECEIVED_RESPONSE_FOR_XBAND_CLAIB__u16_)         \
        COMMS_LOG_NAME(IN_CALIB_DONE_STATE)                          \
        COMMS_LOG_NAME(RECEIVED_RESPONSE_FOR_XBAND_SLEEP__u16_)        \
        COMMS_LOG_NAME(IN__SLEEP_IDLE_DONE_STATE)        \
        COMMS_LOG_NAME(RECEIVED_RESPONSE_FOR_XBAND_ACTIVE_STATE__u16_)  \
        COMMS_LOG_NAME(XBAND__BYPASS_STATE)                \
        COMMS_LOG_NAME(TC_XBAND_SET_IDLE_CFG_IS_RECEIVED)            \
        COMMS_LOG_NAME(TC_XBAND_SET_RESET_IS_RECEIVED)        \
        COMMS_LOG_NAME(TC_XBAND_SET_START_RF_RCV_IS_RECEIVED)          \
        COMMS_LOG_NAME(TC_XBAND_SET_RF_XMT_DATA_IS_RECEIVED)            \
        COMMS_LOG_NAME(TC_XBAND_SET_DVBS2_CONF_IS_RECEIVED)           \
        COMMS_LOG_NAME(TC_XBAND_SET_IP_ADR_SAVE_IS_RECEIVED)           \
        COMMS_LOG_NAME(TC_XBAND_SET_IP_ADR_IS_RECEIVED)                \
        COMMS_LOG_NAME(TC_XBAND_GET_IP_ADR_IS_RECEIVED)                    \
        COMMS_LOG_NAME(TC_XBAND_GET_FLAGS_CONF_IS_RECEIVED)              \
        COMMS_LOG_NAME(TC_XBAND_SET_FLAGS_CONF_IS_RECEIVED)               \
        COMMS_LOG_NAME(TC_XBAND_SET_VERSION_IS_RECEIVED)                \
        COMMS_LOG_NAME(TC_XBAND_GET_VERSION_IS_RECEIVED)                \
        COMMS_LOG_NAME(TC_XBAND_SET_DEVICE_CONF_IS_RECEIVED)             \
        COMMS_LOG_NAME(TC_XBAND_GET_DEVICE_CONF_IS_RECEIVED)              \
        COMMS_LOG_NAME(TC_XBAND_GET_FEATURE_SELECT_IS_RECEIVED)            \
        COMMS_LOG_NAME(TC_XBAND_GET_HOUSE_KEEP_IS_RECEIVED)                 \
        COMMS_LOG_NAME(TC_XBAND_GET_XPA_INF_IS_RECEIVED)                      \
        COMMS_LOG_NAME(TC_XBAND_SET_PROD_KEY_IS_RECEIVED)                 \
        COMMS_LOG_NAME(TEST_COMMS__u16__pt__u16_)                           \
        COMMS_LOG_NAME(INCORRECT_SRS4_BOOT_OPTION)                          \
        COMMS_LOG_NAME(THE_TX_FREQUENCY_IS__u32_)                           \
		COMMS_LOG_NAME(THE_TX_MODULATION_TYPE_IS__u8_)                        \
		COMMS_LOG_NAME(THE_TX_BAUD_RATE_IS__u32_)                           \
		COMMS_LOG_NAME(THE_TX_ROLL_OFF_IS__u8_)                             \
		COMMS_LOG_NAME(THE_TX_ALC_MODE_IS__u8_)                                \
		COMMS_LOG_NAME(THE_TX_RS_ENABLE_IS__u8_)                             \
		COMMS_LOG_NAME(THE_TX_CC_ENABLE_IS__u8_)                             \
		COMMS_LOG_NAME(THE_TX_RANDOMISATION_ENABLE_IS__u8_)                      \
		COMMS_LOG_NAME(THE_TX_CRC_CHECKSUM_ENABLE_IS__u8_)                      \
		COMMS_LOG_NAME(THE_TX_IDLETIME_IS__u16_)                           \
		COMMS_LOG_NAME(THE_TX_PAYLOAD_SIZE_IS__u16_)                          \
		COMMS_LOG_NAME(THE_TX_SATELLITE_ID_IS__u16_)                      \
		COMMS_LOG_NAME(THE_TX_CRYPTO_ENCRYPT_IS__u8_)                        \
		COMMS_LOG_NAME(THE_TX_CRYPTO_AUTH_IS__u8_)                          \
		COMMS_LOG_NAME(THE_TX_PA_TEMP_LIMIT_IS__u8_)                      \
		COMMS_LOG_NAME(THE_TRANSMITTED_FRAMES_ARE__u32_)                  \
		COMMS_LOG_NAME(THE_RX_FREQUENCY_IS__u32_)                          \
		COMMS_LOG_NAME(THE_RX_TYPE_IS__u8_)                               \
		COMMS_LOG_NAME(THE_RX_RATE_IS__u32_)                            \
		COMMS_LOG_NAME(THE_RX_ROLL_OFF_IS__u8_)                           \
		COMMS_LOG_NAME(THE_RX_AFC_ENABLE_IS__u8_)                              \
		COMMS_LOG_NAME(THE_AFC_RANGE_IS__u32_)                           \
        COMMS_LOG_NAME(SIZEOF_S_COMMS_TX_CFG_IS__u16_)                  \
		COMMS_LOG_NAME(SYS_CFG_SIZE__u16_)                               \
        COMMS_LOG_NAME(CONNECTION_TABLE)                                  \
		COMMS_LOG_NAME(INTERFACES)                                          \
		COMMS_LOG_NAME(ROUTE_TABLE)                                   \
		COMMS_LOG_NAME(PACKET_SUCCESSFULLY_SENT)                              \
		COMMS_LOG_NAME(PING_START_TIME_eq_)                                    \
		COMMS_LOG_NAME(CSP_PING_SUCCESS)                                    \
		COMMS_LOG_NAME(CSP_PING_FAILURE)                                 \
		COMMS_LOG_NAME(CSP_PING_TEST_COMPLETE)                          \
		COMMS_LOG_NAME(CONNECTION_FAILED)                                \
		COMMS_LOG_NAME(FAILED_TO_GET_CSP_BUFFER)                         \
		COMMS_LOG_NAME(VALUE_OF_PACKET_LENGTH_IS__u16_)                   \
	    COMMS_LOG_NAME(NVM_READ_SYS_CONFIURATION_STATUS__s8_)                \
		COMMS_LOG_NAME(NVM_READ_RX_CONFIURATION_STATUS__s8_)              \
		COMMS_LOG_NAME(NVM_READ_TX_CONFIURATION_STATUS__s8_)            \
		COMMS_LOG_NAME(THE_RX_PAYLOAD_SIZE_IS__u8_)                  \
		COMMS_LOG_NAME(THE_SATELLITE_ID_IS__u16_)                 \
		COMMS_LOG_NAME(THE_RX_CRYPTO_DECRYPT_IS__u8_)                       \
		COMMS_LOG_NAME(THE_RX_CRYPTO_AUTH_IS__u8_)                      \
		COMMS_LOG_NAME(THE_RX_FRAMES_RECEIVED_IS__u32_)                    \
		COMMS_LOG_NAME(THE_RX_FRAMES_DETECTED_IS__u32_)                \
		COMMS_LOG_NAME(THE_AFTHE_RX_CARRIER_LOCK_IS__u8_)                     \
		COMMS_LOG_NAME(THE_RX_RS_CONFIG_IS__u8_)                    \
		COMMS_LOG_NAME(THE_RX_CC_ENABLE_IS__u8_)                   \
		COMMS_LOG_NAME(THE_RX_RANDOMISATION_ENABLE_IS__u8_)            \
		COMMS_LOG_NAME(THE_RX_CRC_CHECKSUM_ENABLE_IS__u8_)             \
        COMMS_LOG_NAME(THE_RX_FRAME_LOCK_IS__u8_)                       \
        COMMS_LOG_NAME(SYS_CFG_BOOT_CFG_pt_SYS_SERIAL__u32_)            \
		COMMS_LOG_NAME(SYS_CFG_BOOT_CFG_pt_SYS_SW_VERSION__u32_)       \
		COMMS_LOG_NAME(SYS_CFG_BOOT_CFG_pt_SYS_BOOTCOUNT__u32_)        \
		COMMS_LOG_NAME(SYS_CFG_BOOT_CFG_pt_SYS_REBOOT__u16_)         \
		COMMS_LOG_NAME(SYS_CFG_GWDT_CFG_pt_SYS_GWDT_INIT__u32_)           \
		COMMS_LOG_NAME(SYS_CFG_GWDT_CFG_pt_SYS_GWDT_COUNTER__u32_)         \
		COMMS_LOG_NAME(SYS_CFG_GWDT_CFG_pt_SYS_GWDT_RESET__u32_)         \
		COMMS_LOG_NAME(SYS_CFG_CSP_CFG_pt_SYS_CSP_ADDRESS__u8_)          \
		COMMS_LOG_NAME(SYS_CFG_CAN_CFG_pt_SYS_CAN_RATE__u32_)            \
		COMMS_LOG_NAME(SYS_CFG_CAN_CFG_pt_SYS_CAN_PROMISC__u8_)          \
        COMMS_LOG_NAME(SYS_CFG_UART_CFG_pt_SYS_UART_RATE__u32_)              \
		COMMS_LOG_NAME(SYS_CFG_UART_CFG_pt_SYS_UART_MULTIDROP__u8_)            \
		COMMS_LOG_NAME(SYS_CFG_NET_CFG_pt_SYS_NET_ENABLE__u8_)               \
		COMMS_LOG_NAME(SYS_CFG_NET_CFG_pt_SYS_NET_EN_PREFIX__u8_)           \
		COMMS_LOG_NAME(SYS_CFG_NET_CFG_pt_SYS_NET_RF_PREFIX__u8_)             \
		COMMS_LOG_NAME(CAL_CFG_CAL_VCTCXO__u16_)                          \
		COMMS_LOG_NAME(CAL_CFG_CAL_BER_ENABLE__u8_)                      \
		COMMS_LOG_NAME(CAL_CFG_CAL_BER_WINDOW__u32_)                        \
		COMMS_LOG_NAME(CAL_CFG_CAL_BER_COUNT__u32_)                         \
		COMMS_LOG_NAME(CAL_CFG_CAL_BER_LOCKS__u32_)                         \
		COMMS_LOG_NAME(TM_TEMP_PSU__s16_)              \
		COMMS_LOG_NAME(TM_TEMP_MCU__s16_)             \
		COMMS_LOG_NAME(TM_TEMP_FPGA__s16_)             \
		COMMS_LOG_NAME(TM_TEMP_XCVR__s16_)             \
		COMMS_LOG_NAME(TM_TEMP_LNA__s16_)                \
		COMMS_LOG_NAME(TM_TEMP_PA__s16_)                 \
		COMMS_LOG_NAME(TM_VOLT_VIN__u16_)                \
		COMMS_LOG_NAME(TM_VOLT_3V3__u16_)               \
		COMMS_LOG_NAME(TM_VOLT_1V8__u16_)                 \
		COMMS_LOG_NAME(TM_VOLT_1V0__u16_)                \
		COMMS_LOG_NAME(TM_VOLT_PA__u16_)               \
		COMMS_LOG_NAME(TM_CUR_VIN__s16_)              \
		COMMS_LOG_NAME(TM_CUR_3V3__s16_)                \
		COMMS_LOG_NAME(TM_CUR_1V8__s16_)                  \
		COMMS_LOG_NAME(TM_CUR_1V0__s16_)                  \
		COMMS_LOG_NAME(TM_CUR_PA__s16_)                     \
		COMMS_LOG_NAME(TM_POWER_VIN__u16_)                 \
		COMMS_LOG_NAME(TM_POWER_3V3__u16_)                  \
		COMMS_LOG_NAME(TM_POWER_1V8__u16_)                \
		COMMS_LOG_NAME(TM_POWER_1V0__u16_)               \
		COMMS_LOG_NAME(TM_POWER_PA__u16_)                   \
		COMMS_LOG_NAME(THE_RX_CARRIER_LOCK_IS__u8_)         \
		COMMS_LOG_NAME(SYS_CFG_GWDT_CFG_SYS_GWDT_INIT__u32_)       \
		COMMS_LOG_NAME(SYS_CFG_CSP_CFG_SYS_CSP_ADDRESS__u8_)          \
		COMMS_LOG_NAME(SYS_CFG_CSP_CFG_SYS_CSP_ROUTES__u8_)            \
		COMMS_LOG_NAME(SYS_CFG_CAN_CFG_SYS_CAN_RATE__u32_)               \
		COMMS_LOG_NAME(SYS_CFG_CAN_CFG_SYS_CAN_PROMISC__u8_)             \
		COMMS_LOG_NAME(SYS_CFG_UART_CFG__SYS_UART_RATE__u32_)           \
		COMMS_LOG_NAME(SYS_CFG_UART_CFG_SYS_UART_MULTIDROP__u8_)         \
		COMMS_LOG_NAME(SYS_CFG_NET_CFG_SYS_NET_ENABLE__u8_)                \
		COMMS_LOG_NAME(SYS_CFG_NET_CFG_SYS_NET_EN_PREFIX__u8_)              \
		COMMS_LOG_NAME(SYS_CFG_NET_CFG_SYS_NET_RF_PREFIX__u8_)           \
		COMMS_LOG_NAME(SYS_CFG_SYS_NAME__u32_)                             \
		COMMS_LOG_NAME(SYS_CFG_GWDT_CFG_SYS_GWDT_COUNTER__u32_)             \
		COMMS_LOG_NAME(SYS_CFG_GWDT_CFG_SYS_GWDT_RESET__u32_)               \
        COMMS_LOG_NAME(X_BAND_RESPONSE_STATUS__s8_)                          \
		COMMS_LOG_NAME(KEY_MATCHED_RCVD_KEY__u8__u32_)                  \
		COMMS_LOG_NAME(KEY_MIS_MATCHED_RCVD_KEY__u8__u32_)                \
		COMMS_LOG_NAME(RECEIVED_X_BAND_ICD_RESPONSE__s8_)                 \
		COMMS_LOG_NAME(RECEIVED_SERVICE_EVENT__u32_)                      \
	    COMMS_LOG_NAME(THE_RX_EBN0_IS__u16_pt_u16_)                               \
		COMMS_LOG_NAME(THE_RX_SYMBOL_DEVIATION_IS__u16_pt_u16_)                     \
		COMMS_LOG_NAME(THE_RX_FREQUENCY_DEVIATION_IS__u16_pt_u16_)                 \
		COMMS_LOG_NAME(THE_RSSI_IS__u16_pt_u16_)                                     \
		COMMS_LOG_NAME(CAL_CFG_CAL_PS_INTERCEPT__u16_pt_u16_)                     \
		COMMS_LOG_NAME(THE_TX_POUT_IS__u16_pt_u16_)                                  \
        COMMS_LOG_NAME(THE_TX_REFECTED_POWER_IS__u16_pt_u16_)                        \
		COMMS_LOG_NAME(THE_TX_MEASURED_FORWARED_POWER_IS__u16_pt_u16_)              \
		COMMS_LOG_NAME(CAL_CFG_CAL_PWR_SET__u16_pt_u16_)                           \
		COMMS_LOG_NAME(THE_RX_SYMBOL_ERROR_IS__u16_pt_u16_)                        \
		COMMS_LOG_NAME(THE_RX_FREQUENCY_ERROR_IS__u16_pt_u16_)                     \
		COMMS_LOG_NAME(THE_TX_MEASURED_FORWARD_POWER_IS__u16_pt_u16_)                \
		COMMS_LOG_NAME(THE_RX_EBN0__u16_pt_u16_)                                     \
		COMMS_LOG_NAME(CAL_CFG_CAL_PS_GAIN__u16_pt_u16_)                             \
		COMMS_LOG_NAME(THE_IS_RX_EBN0__u16_pt_u16_)                                   \
		COMMS_LOG_NAME(SBAND_SIM_TX_FREQUENCY_IS__u32_)                                 \
		COMMS_LOG_NAME(SBAND_SIM_TX_MODULATION_TYPE_IS__u8_)                           \
	    COMMS_LOG_NAME(SBAND_SIM_TX_BAUD_RATE_IS__u32_)                              \
		COMMS_LOG_NAME(SBAND_SIM_TX_ROLL_OFF_IS__u8_)                                   \
		COMMS_LOG_NAME(SBAND_SIM_THE_TX_POUT_IS__u32_)                                 \
		COMMS_LOG_NAME(SBAND_SIM_TX_ALC_MODE_IS__u8_)                                 \
		COMMS_LOG_NAME(SBAND_SIM_TX_RS_ENABLE_IS__u8_)                              \
		COMMS_LOG_NAME(SBAND_SIM_TX_CC_ENABLE_IS__u8_)                                 \
		COMMS_LOG_NAME(SBAND_SIM_TX_RANDOMISATION_ENABLE_IS__u8_)                     \
		COMMS_LOG_NAME(SBAND_SIM_TX_CRC_CHECKSUM_ENABLE_IS__u8_)                     \
		COMMS_LOG_NAME(SBAND_SIM_TX_IDLETIME_IS__u16_)                               \
		COMMS_LOG_NAME(SBAND_SIM_TX_PAYLOAD_SIZE_IS__u16_)                             \
		COMMS_LOG_NAME(SBAND_SIM_TX_SATELLITE_ID_IS__u16_)                            \
		COMMS_LOG_NAME(SBAND_SIM_TX_CRYPTO_ENCRYPT_IS__u8_)                        \
		COMMS_LOG_NAME(SBAND_SIM_TX_CRYPTO_AUTH_IS__u8_)                             \
		COMMS_LOG_NAME(SBAND_SIM_TX_PA_TEMP_LIMIT_IS__u8_)                             \
		COMMS_LOG_NAME(SBAND_SIM_TRANSMITTED_FRAMES_ARE__u32_)                          \
		COMMS_LOG_NAME(SBAND_SIM_TX_MEASURED_FORWARD_POWER_IS__u16_pt_u16_)            \
	    COMMS_LOG_NAME(SBAND_SIM_RX_FREQUENCY_IS__u32_)                                  \
		COMMS_LOG_NAME(SBAND_SIM_RX_TYPE_IS__u8_)                                    \
		COMMS_LOG_NAME(SBAND_SIM_RX_RATE_IS__u32_)                                     \
		COMMS_LOG_NAME(SBAND_SIM_RX_ROLL_OFF_IS__u8_)                                     \
		COMMS_LOG_NAME(SBAND_SIM_RX_AFC_ENABLE_IS__u8_)                                 \
		COMMS_LOG_NAME(SBAND_SIM_AFC_RANGE_IS__u32_)                                    \
		COMMS_LOG_NAME(SBAND_SIM_RX_RS_CONFIG_IS__u8_)                                   \
		COMMS_LOG_NAME(SBAND_SIM_RX_CC_ENABLE_IS__u8_)                                   \
		COMMS_LOG_NAME(SBAND_SIM_RX_RANDOMISATION_ENABLE_IS__u8_)                          \
		COMMS_LOG_NAME(SBAND_SIM_RX_CRC_CHECKSUM_ENABLE_IS__u8_)                           \
		COMMS_LOG_NAME(SBAND_SIM_RX_PAYLOAD_SIZE_IS__u8_)                                 \
		COMMS_LOG_NAME(SBAND_SIM_SATELLITE_ID_IS__u16_)                                   \
		COMMS_LOG_NAME(SBAND_SIM_RX_CRYPTO_DECRYPT_IS__u8_)                               \
		COMMS_LOG_NAME(SBAND_SIM_RX_CRYPTO_AUTH_IS__u8_)                                  \
		COMMS_LOG_NAME(SBAND_SIM_TX_POUT__u32_)                                             \
		COMMS_LOG_NAME(SBAND_SIM_RX_FRAMES_RECEIVED_IS__u32_)                             \
		COMMS_LOG_NAME(SBAND_SIM_RX_FRAMES_DETECTED_IS__u32_)                           \
		COMMS_LOG_NAME(SBAND_SIM_RSSI_IS__u16_pt_u16_)                                   \
		COMMS_LOG_NAME(SBAND_SIM_RX_FREQUENCY_DEVIATION_IS__u16_pt_u16_)                \
		COMMS_LOG_NAME(SBAND_SIM_RX_SYMBOL_DEVIATION_IS__u16_pt_u16_)                   \
		COMMS_LOG_NAME(SBAND_SIM_RX_CARRIER_LOCK_IS__u8_)                             \
		COMMS_LOG_NAME(SBAND_SIM_RX_FRAME_LOCK_IS__u8_)                                 \
		COMMS_LOG_NAME(SBAND_SIM_SYS_CFG_BOOT_CFG_pt_SYS_SERIAL__u32_)                   \
		COMMS_LOG_NAME(SBAND_SIM_SYS_CFG_BOOT_CFG_pt_SYS_SW_VERSION__u32_)               \
		COMMS_LOG_NAME(SBAND_SIM_SYS_CFG_BOOT_CFG_pt_SYS_BOOTCOUNT__u32_)                  \
		COMMS_LOG_NAME(SBAND_SIM_SYS_CFG_BOOT_CFG_pt_SYS_REBOOT__u16_)                     \
		COMMS_LOG_NAME(SBAND_SIM_SYS_CFG_GWDT_CFG_pt_SYS_GWDT_INIT__u32_)                \
		COMMS_LOG_NAME(SBAND_SIM_SYS_CFG_GWDT_CFG_pt_SYS_GWDT_COUNTER__u32_)                \
		COMMS_LOG_NAME(SBAND_SIM_SYS_CFG_GWDT_CFG_pt_SYS_GWDT_RESET__u32_)                    \
		COMMS_LOG_NAME(SBAND_SIM_SYS_CFG_CSP_CFG_pt_SYS_CSP_ADDRESS__u8_)                  \
		COMMS_LOG_NAME(SBAND_SIM_SYS_CFG_CAN_CFG_pt_SYS_CAN_RATE__u32_)                    \
		COMMS_LOG_NAME(SBAND_SIM_SYS_CFG_CAN_CFG_pt_SYS_CAN_PROMISC__u8_)                 \
		COMMS_LOG_NAME(SBAND_SIM_SYS_CFG_UART_CFG_pt_SYS_UART_RATE__u32_)                   \
		COMMS_LOG_NAME(SBAND_SIM_SYS_CFG_UART_CFG_pt_SYS_UART_MULTIDROP__u8_)               \
		COMMS_LOG_NAME(SBAND_SIM_SYS_CFG_NET_CFG_pt_SYS_NET_ENABLE__u8_)                   \
		COMMS_LOG_NAME(SBAND_SIM_SYS_CFG_NET_CFG_pt_SYS_NET_EN_PREFIX__u8_)                \
		COMMS_LOG_NAME(SBAND_SIM_SYS_CFG_NET_CFG_pt_SYS_NET_RF_PREFIX__u8_)              \
	    COMMS_LOG_NAME(SBAND_SIM_CAL_CFG_CAL_PS_GAIN__u16_pt_u16_)                       \
		COMMS_LOG_NAME(SBAND_SIM_CAL_CFG_CAL_PS_INTERCEPT__u16_pt_u16_)                  \
		COMMS_LOG_NAME(SBAND_SIM_CAL_CFG_CAL_VCTCXO__u16_)                                 \
		COMMS_LOG_NAME(SBAND_SIM_CAL_CFG_CAL_PWR_SET__u16_pt_u16_)                         \
		COMMS_LOG_NAME(SBAND_SIM_CAL_CFG_CAL_BER_ENABLE__u8_)                              \
		COMMS_LOG_NAME(SBAND_SIM_CAL_CFG_CAL_BER_WINDOW__u32_)                               \
		COMMS_LOG_NAME(SBAND_SIM_CAL_CFG_CAL_BER_COUNT__u32_)                              \
		COMMS_LOG_NAME(SBAND_SIM_RX_EBN0__u16_pt_u16_)                                    \
		COMMS_LOG_NAME(SBAND_SIM_TX_MEASURED_FORWARED_POWER_IS__u16_pt_u16_)            \
		COMMS_LOG_NAME(SBAND_SIM_TX_REFECTED_POWER_IS__u16_pt_u16_)                      \
		COMMS_LOG_NAME(SBAND_SIM_RX_FREQUENCY_ERROR_IS__u16_pt_u16_)                      \
		COMMS_LOG_NAME(SBAND_SIM_RX_SYMBOL_ERROR_IS__u16_pt_u16_)                         \
		COMMS_LOG_NAME(SBAND_SIM_SYS_CFG_GWDT_CFG_SYS_GWDT_INIT__u32_)                      \
		COMMS_LOG_NAME(SBAND_SIM_SYS_CFG_CSP_CFG_SYS_CSP_ADDRESS__u8_)                        \
		COMMS_LOG_NAME(SBAND_SIM_SYS_CFG_CAN_CFG_SYS_CAN_RATE__u32_)                         \
		COMMS_LOG_NAME(SBAND_SIM_SYS_CFG_CAN_CFG_SYS_CAN_PROMISC__u8_)                         \
		COMMS_LOG_NAME(SBAND_SIM_SYS_CFG_UART_CFG__SYS_UART_RATE__u32_)                       \
		COMMS_LOG_NAME(SBAND_SIM_SYS_CFG_UART_CFG_SYS_UART_MULTIDROP__u8_)                    \
		COMMS_LOG_NAME(SBAND_SIM_SYS_CFG_NET_CFG_SYS_NET_ENABLE__u8_)                           \
		COMMS_LOG_NAME(SBAND_SIM_SYS_CFG_NET_CFG_SYS_NET_EN_PREFIX__u8_)                       \
		COMMS_LOG_NAME(SBAND_SIM_SYS_CFG_SYS_NAME__u32_)                                        \
		COMMS_LOG_NAME(SBAND_SIM_SYS_CFG_NET_CFG_SYS_NET_RF_PREFIX__u8_)                       \
		COMMS_LOG_NAME(SBAND_SIM_SYS_CFG_GWDT_CFG_SYS_GWDT_COUNTER__u32_)                      \
		COMMS_LOG_NAME(SBAND_SIM_SYS_CFG_GWDT_CFG_SYS_GWDT_RESET__u32_)                           \
		COMMS_LOG_NAME(SBAND_SIM_CAL_CFG_CAL_BER_LOCKS__u32_)                                 \
		COMMS_LOG_NAME(SBAND_SIM_CAL_CFG_CAL_PS_INTERCEPT__u32_)                              \
		COMMS_LOG_NAME(SBAND_SIM_TM_TEMP_PSU__s16_)                                          \
		COMMS_LOG_NAME(SBAND_SIM_TM_TEMP_MCU__s16_)                                        \
		COMMS_LOG_NAME(SBAND_SIM_TM_TEMP_FPGA__s16_)                                      \
		COMMS_LOG_NAME(SBAND_SIM_TM_TEMP_XCVR__s16_)                                        \
		COMMS_LOG_NAME(SBAND_SIM_TM_TEMP_LNA__s16_)                                        \
	    COMMS_LOG_NAME(SBAND_SIM_CAL_SBAND_SIM_CFG_CAL_PS_INTERCEPT__u32_)                \
		COMMS_LOG_NAME(SBAND_SIM_TM_TEMP_PA__s16_)                                       \
		COMMS_LOG_NAME(SBAND_SIM_TM_VOLT_VIN__u16_)                                        \
		COMMS_LOG_NAME(SBAND_SIM_TM_VOLT_3V3__u16_)                                        \
		COMMS_LOG_NAME(SBAND_SIM_TM_VOLT_1V8__u16_)                                       \
		COMMS_LOG_NAME(SBAND_SIM_TM_VOLT_1V0__u16_)                                        \
		COMMS_LOG_NAME(SBAND_SIM_TM_VOLT_PA__u16_)                                        \
		COMMS_LOG_NAME(SBAND_SIM_TM_CUR_VIN__s16_)                                          \
		COMMS_LOG_NAME(SBAND_SIM_TM_CUR_3V3__s16_)                                            \
		COMMS_LOG_NAME(SBAND_SIM_TM_CUR_1V8__s16_)                                            \
		COMMS_LOG_NAME(SBAND_SIM_TM_CUR_1V0__s16_)                                              \
		COMMS_LOG_NAME(SBAND_SIM_TM_CUR_PA__s16_)                                                \
		COMMS_LOG_NAME(SBAND_SIM_TM_POWER_VIN__u16_)                                        \
		COMMS_LOG_NAME(SBAND_SIM_TM_POWER_3V3__u16_)                                       \
		COMMS_LOG_NAME(SBAND_SIM_TM_POWER_1V8__u16_)                                       \
		COMMS_LOG_NAME(SBAND_SIM_TM_POWER_1V0__u16_)                                       \
		COMMS_LOG_NAME(SBAND_SIM_TM_POWER_PA__u16_)                                         \
		COMMS_LOG_NAME(SBAND_SIM_RX_FRAME_LOCK__u8_)                                        \
	    COMMS_LOG_NAME(SBAND_SIM_RX_EBN0_IS__u16_pt_u16_)                                   \
        COMMS_LOG_NAME(DATA_SIZE_IS_u8_)                                                   \
		COMMS_LOG_NAME(test_comms__hex_)                                                                \
		COMMS_LOG_NAME(VALUE_OF_PACKET_ID_IS__hex_)                                            \
		COMMS_LOG_NAME(PACKET_RECEIVED_IN_PORT__s32_)                                         \
		COMMS_LOG_NAME(CSP_PING_ADDRESS__u8__RESULT__S32)                                     \
		COMMS_LOG_NAME(IQS_TIME_GET_FSM_ST_EXT_u8__u8__u8__)                                    \
        COMMS_LOG_NAME(IQS_TIME_GET_FSM_ST_ENT_u8__u8__u8__MSG_ID__u8_)                          \
        COMMS_LOG_NAME(IQS_TIME_TCP_ENT__u8__u8__u8_)                                    \
        COMMS_LOG_NAME(SBAND_IQ_SPACECOM_SOCKET_CREATION_FAILED)                         \
        COMMS_LOG_NAME(SBAND_IQ_SPACECOM_SIMU_SOCKET_SUCCESFULLY_CREATED)                \
        COMMS_LOG_NAME(SET_SOCKPOT_FAILED)                                               \
        COMMS_LOG_NAME(SBAND_IQ_SPACECOM_CONNECT_FAILED)                                 \
        COMMS_LOG_NAME(SBAND_IQ_SPACECOM_CLIENT_SERVER_CONNECTED)                        \
        COMMS_LOG_NAME(IQS_TIME_CMD_WR_ENT__u8__u8__u8_)                                  \
        COMMS_LOG_NAME(SOCKET_STATUS_SBAND_IQ_SPACECOM_WRITE_DATA__u8_)                   \
        COMMS_LOG_NAME(SBAND_IQ_SPACECOM_SOCKET_WRITE_SUCCESS__u8_)                       \
        COMMS_LOG_NAME(SBAND_REPEATING_TRANSMISSION)                                      \
        COMMS_LOG_NAME(SBAND_IQ_SPACECOM_SOCKET_WRITE_FAIL)                               \
        COMMS_LOG_NAME(IQ_SPACECOM_CONNECTION_CLOSED)                                     \
        COMMS_LOG_NAME(IQS_TIME_CMD_WR_EXT__u8__u8__u8_)                                  \
        COMMS_LOG_NAME(IQS_TIME_CMD_RD_ENT_LEN__u8__u8__u8_)                              \
        COMMS_LOG_NAME(SBAND_IQ_SPACECOM_SOCKET_READ_SUCCESS__u8_)                        \
        COMMS_LOG_NAME(SBAND_IQ_SPACECOM_SOCKET_READ_FAIL)                                \
        COMMS_LOG_NAME(IQS_TIME_CMD_RD_EXT__u8__u8__u8_)                                 \
        COMMS_LOG_NAME(IQS_TIME_TCP_EXT__u8__u8__u8_)                                    \
        COMMS_LOG_NAME(IQS_TIME_UDP_SER_CON__u8__u8__u8_)                                \
        COMMS_LOG_NAME(SOCKET_CREATION_FAILED)                                           \
        COMMS_LOG_NAME(ERROR_SETTING_SOCKET_OPTS)                                        \
        COMMS_LOG_NAME(IQ_SOCKET_BIND_FAILED)                                            \
        COMMS_LOG_NAME(WAITING_FOR_NEW_CLIENT_CONNECTIONS)                               \
        COMMS_LOG_NAME(FD_SELECT_ERROR)                                                  \
        COMMS_LOG_NAME(MESSAGE_FROM_GS_VIA_IQS_CLIENT)                                   \
        COMMS_LOG_NAME(SOCKET_RECV_ERROR)                                                \
        COMMS_LOG_NAME(RX_FRAME_COUNT__u8__PKT_SIZE__u8_)                                \
        COMMS_LOG_NAME(IQS_TIME_RX_ENT__u8__u8__u8_)                                     \
        COMMS_LOG_NAME(SBAND_TX_TM_ON_TIMER_AT_CSP_COMMS__u8_)                           \
        COMMS_LOG_NAME(IQS_TIME_RX_EXT__u8__u8__u8_)                                     \
        COMMS_LOG_NAME(RCV_DATA__hex_)                                                   \
        COMMS_LOG_NAME(RX_AFTER_PROCESS_DATA__hex_)                                      \
        COMMS_LOG_NAME(PACKET_SIZE__u32_)                                                \
        COMMS_LOG_NAME(IQS_TIME_UDP_CLI_CON__u8__u8__u8_)                                \
        COMMS_LOG_NAME(SOCKET_CREATION_FAILED__u8_)                                      \
        COMMS_LOG_NAME(FAILD_TO_CONNECT)                                                 \
        COMMS_LOG_NAME(XMT_DATA_PKTLEN__u8__TRF_LEN__u8__DATA__OFFSET__u8__PKT_SENT_u8__)\
        COMMS_LOG_NAME(IQS_RTC_TIME__u8__u8__u8_)                                \
        COMMS_LOG_NAME(IQS_TIME_TX_SENT__u8__u8__u8_)                            \
		COMMS_LOG_NAME(IQS_TX_SEND)                                             \
		COMMS_LOG_NAME(RX_RESPONSE_DATA__u8_)                                   \
        COMMS_LOG_NAME(RECV_PKTLEN__u8_)                                       \
        COMMS_LOG_NAME(RECV_ERROR__u8_)                                        \
        COMMS_LOG_NAME(RECV_ERROR_CNT__u8_)                                    \
        COMMS_LOG_NAME(PKT_DROP_ERROR__u8_)                                    \
        COMMS_LOG_NAME(XMT_DATA_NAK_RECEIVED_CHECK_PKTLEN_NOT_MATCH_WITH_TRFRMSZ)\
        COMMS_LOG_NAME(RECV_ERROR__hex_)                                         \
        COMMS_LOG_NAME(XMT_DATA_NAK_RECEIVED_CHECK_PROD_KEY)                     \
        COMMS_LOG_NAME(PKT_SENT__u8__BYTEXMT__u8__BYTERCV__u8_)                  \
        COMMS_LOG_NAME(UHF_SIM_TM_CMD__u8_)                                      \
        COMMS_LOG_NAME(UHF_SIM_LENGTH__u8_)                                      \
        COMMS_LOG_NAME(UHF_TM_SIZE__u32_)                                        \
        COMMS_LOG_NAME(HELLO_TM_PACKING_FAILD)                                   \
        COMMS_LOG_NAME(XBAND_WAITING_TO_RECEIVE_IPC)                             \
        COMMS_LOG_NAME(NUM_SDR__u8_)                                             \
        COMMS_LOG_NAME(RADIO_ID_SDR_STATUS__u8_)                                 \
        COMMS_LOG_NAME(SBAND_TX_PERIODIC_BEACON_TMR_EXP_IGNORED)                 \
        COMMS_LOG_NAME(SBAND_TM_PERIODIC_READ_IGNORED)                           \
        COMMS_LOG_NAME(OBC_SBAND_HEALTH_CHECK_REQ_IGNORED)                      \
        COMMS_LOG_NAME(SBAND_RX_ON_TMR_EXP_INIT_STATE)                          \
        COMMS_LOG_NAME(SDR_APP_SBAND_BEACON_DATA_IND_INIT_STATE)                \
        COMMS_LOG_NAME(SBAND_SDR_APP_BEACON_DATA_REQ_SENT)                      \
        COMMS_LOG_NAME(UHF_SDR_APP_BEACON_DATA_REQ_SENT)                      \
        COMMS_LOG_NAME(SBAND_TIME_IPC_ENT__u8__u8__u8_)                         \
        COMMS_LOG_NAME(HK_COMMS_ID_IS_u8_)                                    \
        COMMS_LOG_NAME(SBAND_TIME_IPC_EXT__u8__u8__u8_)                       \
        COMMS_LOG_NAME(FTM_SAVECONTEXT__SDRAM_FLASH_CALLBACK_CALLED)          \
        COMMS_LOG_NAME(FTM_SAVECONTEXT__NOR_FLASH_CALLBACK_CALLED__FAIL)      \
        COMMS_LOG_NAME(EVENT_ID__u8_)                                         \
        COMMS_LOG_NAME(SBAND_TMIE_S_RX_ON_TMR_ENT_u8__u8__u8__RX_ON_TMR__u32_)\
        COMMS_LOG_NAME(SBAND_TIME_RX_ON_TMR_STP__u8__u8__u8_)                \
        COMMS_LOG_NAME(SBAND_TIME_TM_RD_TMR_STP__u8__u8__u8_)                \
        COMMS_LOG_NAME(READ_CNT_AT_RX_ON_TIMER_EXP__u32_)                    \
        COMMS_LOG_NAME(RSSI_RD_CNT_AT_TM_READ_ENT__u32_)                     \
        COMMS_LOG_NAME(SBAND_RSSI_PRD_TIMER__u32_)                           \
        COMMS_LOG_NAME(SBAND_TIME_TM_RD_TMR_ENT__u8__u8__u8_)                \
        COMMS_LOG_NAME(RSSI_LINEAR_SUM__u32_)                                \
        COMMS_LOG_NAME(AVERAGE_RSSI__u32_)                                   \
        COMMS_LOG_NAME(SBAND_TIME_TM_RD_RX_ST_1)                             \
        COMMS_LOG_NAME(CURRENT_RX__u8_)                                      \
        COMMS_LOG_NAME(RX_RSSI_0__u32_)                                      \
        COMMS_LOG_NAME(RX_RSSI_1__u32_)                                      \
        COMMS_LOG_NAME(RX_SYNC_0__u32_)                                      \
        COMMS_LOG_NAME(RX_SYNC_1__u32_)                                      \
        COMMS_LOG_NAME(SBAND_TIME_TM_RD_RX_ST_2)                             \
        COMMS_LOG_NAME(SBAND_TIME_TM_RD_RX_ST_3)                             \
        COMMS_LOG_NAME(CURR_RX__u8_)                                         \
        COMMS_LOG_NAME(AVG_RSSI_u32)                                         \
        COMMS_LOG_NAME(SBAND_TIME_TM_RD_RX_ST_5)                             \
        COMMS_LOG_NAME(SBAND_TIME_TM_RD_RX_ST_4)                             \
        COMMS_LOG_NAME(SBAND_TIME_TM_RD_RX_ST_6)                             \
        COMMS_LOG_NAME(TM_RD_RX_ST_7)                                         \
        COMMS_LOG_NAME(SBAND_TIME_L_RX_ON_TMR_ENT_u8__u8__u8__RX_ON_TMR__u8_) \
        COMMS_LOG_NAME(SBAND_TIME_TM_RD_RX_ST_8)                             \
        COMMS_LOG_NAME(RSSI_MEASURED_BELOW_AVG_RANGE)                        \
        COMMS_LOG_NAME(FAILED_SET_DEVICE_CONFIG)                             \
        COMMS_LOG_NAME(SET_ALTERNATE_RX)                                     \
        COMMS_LOG_NAME(CURR_RX_SWITCH_CONTEXT__u8_)                          \
        COMMS_LOG_NAME(SBAND_TIME_S_RX_ON_TMR_ENT_u8__u8__u8__RX_ON_TMR__u8_)\
        COMMS_LOG_NAME(ABOVE_TYP_THERSHOLD_CONTEXT)                          \
		COMMS_LOG_NAME(UHF_TC_CMD__hex_)                          \
		COMMS_LOG_NAME(UHF_TX_LENGTH__u16_)                          \
		COMMS_LOG_NAME(UHF_COMMAND_RESPONSE__hex__LENGTH__u16_)                          \
		COMMS_LOG_NAME(UHF_TM_LENGTH__u16_)                          \
		COMMS_LOG_NAME(CSP_PACKET_LEN__u16__P_PACKET_)                          \
		COMMS_LOG_NAME(CSP_UNPACK_PACKET_LEN__u16__U_PACKET_)                          \
		COMMS_LOG_NAME(UHF_RTC_TIME__u8__u8__u8_)                          \
		COMMS_LOG_NAME(UHF_HWID__u8_)                          \
		COMMS_LOG_NAME(UHF_PACK_PACKET_LEN__u16__P_PACKET_)                          \
		COMMS_LOG_NAME(UHF_UNPACK_PACKET_LEN__u16__U_PACKET_)                          \
		COMMS_LOG_NAME(FAILD_TO_GET_CSP_BUFFER)                          \
		COMMS_LOG_NAME(PACKET_SENT__s8_)                          \
		COMMS_LOG_NAME(UHF_COMMAND_DATA_SIZE__u16_)                          \
		COMMS_LOG_NAME(UHF_COMMAND_PACKET_LENGTH__u16_)                          \
		COMMS_LOG_NAME(UHF_COMMAND_PACKET_SUCCESSFULLY_SENT)                          \
		COMMS_LOG_NAME(GAIN_ATTEN_SET_AT_DEVICE__u32_)                          \
		COMMS_LOG_NAME(GAIN_ATTEN_SET_FROM_TABLE__u32)                          \
		COMMS_LOG_NAME(TX_GAIN0_SET_AT_DEVICE__u32_)                          \
		COMMS_LOG_NAME(TX_GAIN1_SET_AT_DEVICE__u32_)                          \
		COMMS_LOG_NAME(TC_SBAND_SET_IDLE_CFG_IS_RECEIVED)                          \
		COMMS_LOG_NAME(TC_SBAND_SET_RESET_IS_RECEIVED)                          \
		COMMS_LOG_NAME(TC_SBAND_SET_START_RF_RCV_IS_RECEIVED)                          \
		COMMS_LOG_NAME(TC_SBAND_SET_RF_XMT_DATA_IS_RECEIVED)                          \
		COMMS_LOG_NAME(TC_SBAND_SET_DVBS2_CONF_IS_RECEIVED)                          \
		COMMS_LOG_NAME(TC_SBAND_SET_IP_ADR_SAVE_IS_RECEIVED)                          \
		COMMS_LOG_NAME(TC_SBAND_SET_IP_ADR_IS_RECEIVED)                          \
		COMMS_LOG_NAME(TC_SBAND_GET_IP_ADR_IS_RECEIVED)                          \
		COMMS_LOG_NAME(TC_SBAND_GET_FLAGS_CONF_IS_RECEIVED)                          \
		COMMS_LOG_NAME(TC_SBAND_SET_FLAGS_CONF_IS_RECEIVED)                          \
		COMMS_LOG_NAME(TC_SBAND_SET_VERSION_IS_RECEIVED)                          \
		COMMS_LOG_NAME(TC_SBAND_GET_VERSION_IS_RECEIVED)                          \
		COMMS_LOG_NAME(TC_SBAND_SET_DEVICE_CONF_IS_RECEIVED)                          \
		COMMS_LOG_NAME(TC_SBAND_GET_DEVICE_CONF_IS_RECEIVED)                          \
		COMMS_LOG_NAME(TC_SBAND_GET_FEATURE_SELECT_IS_RECEIVED)                          \
		COMMS_LOG_NAME(TC_SBAND_GET_HOUSE_KEEP_IS_RECEIVED)                          \
		COMMS_LOG_NAME(TC_SBAND_GET_XPA_INF_IS_RECEIVED)                          \
		COMMS_LOG_NAME(TC_SBAND_SET_PROD_KEY_IS_RECEIVED)                          \
		COMMS_LOG_NAME(hex__hex__hex__hex_)                          \
		COMMS_LOG_NAME(IQS_TIME_TC_TM_EXT__u8__u8__u8_)                          \
		COMMS_LOG_NAME(TX_CFG_GLOBAL_TX_CFG_POUT_u32)                          \
		COMMS_LOG_NAME(RADIO_ID__u8__SDR_STATUS__u8_)                          \
		COMMS_LOG_NAME(CSP_PING_COUNT__u32_)                          \
		COMMS_LOG_NAME(SBAND_TIME_RX_ON_TMR_ENT__u8__u8__u8_)                          \
		COMMS_LOG_NAME(SBAND_TIMER_BEC_EN_TMR_EXT__u8__u8__u8_)                          \
		COMMS_LOG_NAME(SBAND_TIME_BEC_TMR_EXT__u8__u8__u8_)                          \
		COMMS_LOG_NAME(SBAND_CURRENT_TIME_u32_)                          \
		COMMS_LOG_NAME(SBAND_BEACON_TIMER_STARTED__u32)                          \
		COMMS_LOG_NAME(SBAND_TIME_TM_RD_TMR_EXT__u8__u8__u8_)                          \
		COMMS_LOG_NAME(SBAND_TIME_TM_TMR_EXT__u8__u8__u8_)                          \
		COMMS_LOG_NAME(IQS_TIME_TC_TM_ENT__MSG_ID__u8_)                          \
		COMMS_LOG_NAME(__SBAND__TM_RESPONSE_SENT)                          \
		COMMS_LOG_NAME(__sdr_app__TM_PLD_RESPONSE_SENT)                          \
		COMMS_LOG_NAME(IQS_TIME_TC_PROC_SER_EVNT_ENT_u8__u8__u8_SERV_EVENT___u8_)                          \
		COMMS_LOG_NAME(IQS_TIME_TC_PROC_EXT__u8__u8__u8_)                          \
		COMMS_LOG_NAME(IQS_TIME_TC_PROC_PLD_SERV_EVNT__u8__u8__u8_)                          \
		COMMS_LOG_NAME(SECONDS__u32_)                          \
		COMMS_LOG_NAME(MINUTES__u32_)                          \
		COMMS_LOG_NAME(HOURS__u32_)                          \
		COMMS_LOG_NAME(YEAR__u32_)                          \
		COMMS_LOG_NAME(MONTHS__u32_)                          \
		COMMS_LOG_NAME(DAY__u32_)                          \
		COMMS_LOG_NAME(FILE_NAME__u8_)                          \
		COMMS_LOG_NAME(START_ADDRESS__u32_)                          \
		COMMS_LOG_NAME(LENGTH__u32_)                          \
		COMMS_LOG_NAME(FLAGS__u32_)                          \
		COMMS_LOG_NAME(SERVICE_IP_ADDRESS__hex_)                          \
		COMMS_LOG_NAME(MODCOD_0__u32_)                          \
		COMMS_LOG_NAME(FRMTYPE_0__u32_)                          \
		COMMS_LOG_NAME(INSERT_PILOTS_0__u32_)                          \
		COMMS_LOG_NAME(ACM_CCM_0__u32_)                          \
		COMMS_LOG_NAME(ROLLOFF_VAL_0__u32_)                          \
		COMMS_LOG_NAME(PL_SPREAD_NUMBER_0__u32_)                          \
		COMMS_LOG_NAME(RESERVE_0__u32_)                          \
		COMMS_LOG_NAME(RESERVE_1__u32_)                          \
		COMMS_LOG_NAME(RECEIVE_ADDRESS__u32_)                          \
		COMMS_LOG_NAME(PORT__u32_)                          \
		COMMS_LOG_NAME(SEND_FORMAT__u32_)                          \
		COMMS_LOG_NAME(OUTPUT_INTERFACE__u32_)                          \
		COMMS_LOG_NAME(RESERVE__u32_)                          \
		COMMS_LOG_NAME(PKT_TYPE__u32_)                          \
		COMMS_LOG_NAME(ERR_INF__u32_)                          \
		COMMS_LOG_NAME(PKT_LEN__u32_)                          \
		COMMS_LOG_NAME(ETH_FIRST__u32_)                          \
		COMMS_LOG_NAME(ETH_LAST__u32_)                          \
		COMMS_LOG_NAME(ETH_NUM_BYTE__u32_)                          \
		COMMS_LOG_NAME(MORE_INFO__u32_)                          \
		COMMS_LOG_NAME(PAYLOAD__u8_)                          \
		COMMS_LOG_NAME(IQS_TIME_TC_PROC_PLD_SERV_ENT_u8__u8__u8__SERV_EVENT__hex_)                          \
		COMMS_LOG_NAME(RECEIVED_SBAND_IQS_RESPONSE)                          \
		COMMS_LOG_NAME(RECEIVED_SERVICE_EVENT__hex_)                          \
		COMMS_LOG_NAME(AD9361__u32_)                          \
		COMMS_LOG_NAME(ETHPHY__u32_)                          \
		COMMS_LOG_NAME(ZYNQ__u32_)                          \
		COMMS_LOG_NAME(REST__u32_)                          \
		COMMS_LOG_NAME(ON__u32_)                          \
		COMMS_LOG_NAME(SYNC__u32_)                          \
		COMMS_LOG_NAME(IDXGAIN__u32_)                          \
		COMMS_LOG_NAME(SIRMIN__u32_)                          \
		COMMS_LOG_NAME(SIRMAX__u32_)                          \
		COMMS_LOG_NAME(DOPPLERFREQ__u32_)                          \
		COMMS_LOG_NAME(REST_0__u32_)                          \
		COMMS_LOG_NAME(PWR_MIN__u32_)                          \
		COMMS_LOG_NAME(PWRMAX__u32_)                          \
		COMMS_LOG_NAME(RXSTATE__u32_)                          \
		COMMS_LOG_NAME(REST1__u32_)                          \
		COMMS_LOG_NAME(BCHBLOCK_COUNT__u32_)                          \
		COMMS_LOG_NAME(BCH_ERR_COUNT__u32_)                          \
		COMMS_LOG_NAME(MODULATION__u32_)                          \
		COMMS_LOG_NAME(FEC__u32_)                          \
		COMMS_LOG_NAME(ATT__u32_)                          \
		COMMS_LOG_NAME(CARD_RUN_COUNTER__u32_)                          \
		COMMS_LOG_NAME(CRC16__u32_)                          \
		COMMS_LOG_NAME(MORE_XMT_MOD__u32_)                          \
		COMMS_LOG_NAME(XMTOFFSETMOD__u32_)                          \
		COMMS_LOG_NAME(RSMODE__u32_)                          \
		COMMS_LOG_NAME(XMT_CH_0_EN__u32_)                          \
		COMMS_LOG_NAME(XMT_CH_1_EN__u32_)                          \
		COMMS_LOG_NAME(RCV_CH_0__u32_)                          \
		COMMS_LOG_NAME(RCV_CH_1__u32_)                          \
		COMMS_LOG_NAME(RCVCH_0_GAIN_MAX__u32_)                          \
		COMMS_LOG_NAME(RCVCH_1_GAIN_MAX__u32_)                          \
		COMMS_LOG_NAME(DISABLE_XMT_SYMB_FREQ_CHANGE__u32_)                          \
		COMMS_LOG_NAME(DISABLE_RCV_SYMB_FREQ_CHANGE_u32_)                          \
		COMMS_LOG_NAME(DISABLE_XMT_UP_SAMPLING__u32_)                          \
		COMMS_LOG_NAME(XMT_SYMB_FREQ__u32_)                          \
		COMMS_LOG_NAME(RCVSYMB_FREQ__u32_)                          \
		COMMS_LOG_NAME(RESERVE_3__u32_)                          \
		COMMS_LOG_NAME(IP_ADDRESS__u32_)                          \
		COMMS_LOG_NAME(IQS_TIME_TC_PROC_PLD_EXT__u8__u8__u8_)                          \
		COMMS_LOG_NAME(GET_XLINK_RSSI)                          \
		COMMS_LOG_NAME(IQS_DVC_PAR_OFF)                          \
		COMMS_LOG_NAME(IQS_DVC_PAR_ON)                          \
		COMMS_LOG_NAME(RF_TURN_ON_STATUS__u8_)                          \
		COMMS_LOG_NAME(GET_XLINK_TX_CONFIG)                          \
		COMMS_LOG_NAME(GET_XLINK_RX_CONFIG)                          \
		COMMS_LOG_NAME(UHF_TIMER_SDR_ENT__u8__u8__u8_)                          \
		COMMS_LOG_NAME(INSIDE_SDR_APP_ELSE_RADIO_ID__u8_)                          \
		COMMS_LOG_NAME(UHF_TIMER_SDR_EXT__u8__u8__u8_)                          \
		COMMS_LOG_NAME(UHF_TIME_SDR_MSG_ENT__u8__u8__u8__MSG_ID__u16)                          \
		COMMS_LOG_NAME(RESPONSE_FROM_UHF_SDR_APP_MH_RSP)                          \
		COMMS_LOG_NAME(RESPONSE_FROM_SBAND_SDR_APP_MH_RSP)                          \
		COMMS_LOG_NAME(RESPONSE_FROM_ADCS_SDR_APP_MH_RSP)                          \
		COMMS_LOG_NAME(RESPONSE_FROM_EPS_SDR_APP_MH_RSP)                          \
		COMMS_LOG_NAME(RESPONSE_FROM_OBC_SDR_APP_MH_RSP)                          \
		COMMS_LOG_NAME(RESPONSE_FROM_SENSORS_SDR_APP_MH_RSP)                          \
		COMMS_LOG_NAME(UHF_SDR_MH_EXT__u8_)                          \
		COMMS_LOG_NAME(UHF_TIME_SDR_MSG_EXT__u8__u8__u8__MSG_ID__u16)                          \
		COMMS_LOG_NAME(THE_TX_POUT_IS__u32_)                          \
		COMMS_LOG_NAME(LEN__u32_)                          \
		COMMS_LOG_NAME(SBAND_RESPONSE_STATUS__u32_)                          \
		COMMS_LOG_NAME(SBAND_TIME_TM_RD_TMR_EXP)                          \
		COMMS_LOG_NAME(SBAND_TIME_TM_RD_RX_ST_7)                          \
		COMMS_LOG_NAME(BASE_FREQ__u32__XO_FREQ__u32_)                          \
		COMMS_LOG_NAME(REGISTERS_F0__hex__F1__hex__F2__hex_)                          \
		COMMS_LOG_NAME(IF_FREQ__u32__XO_FREQ__u32_)                          \
		COMMS_LOG_NAME(REGISTERS_FSCTRL1__hex_)                          \
		COMMS_LOG_NAME(UHF_RF_CFG_CHANNEL_SPC_E__hex_)                          \
		COMMS_LOG_NAME(UHF_RF_CFG_CHANNEL_SPC_M__hex_)                          \
		COMMS_LOG_NAME(FREQ_OFFSET__u32__FSCTRL0__hex_)                          \
		COMMS_LOG_NAME(UHF_RF_CFG_DRATE_E__hex_)                          \
		COMMS_LOG_NAME(UHF_RF_CFG_DRATE_M__hex_)                          \
		COMMS_LOG_NAME(UHF_RF_CFG_CHANBW_E__hex_)                          \
		COMMS_LOG_NAME(UHF_RF_CFG_CHANBW_M__hex_)                          \
		COMMS_LOG_NAME(UHF_RF_CFG_RX_TIMEOUT__u8_)                          \
		COMMS_LOG_NAME(UHF_RF_CFG_RX_ATTENUATION__u8_)                          \
		COMMS_LOG_NAME(DEVIATION_E__hex_)                          \
		COMMS_LOG_NAME(DEVIATION_M__hex_)                          \
		COMMS_LOG_NAME(BASE_FREQ__u32_)                          \
		COMMS_LOG_NAME(IF_FREQ__u32_)                          \
		COMMS_LOG_NAME(CHANNEL_NUMBER__u8_)                          \
		COMMS_LOG_NAME(CHANNEL_SPACING__u32_)                          \
		COMMS_LOG_NAME(FREQ_OFFSET__u32_)                          \
		COMMS_LOG_NAME(MOD_TYPE__8_)                          \
		COMMS_LOG_NAME(SYNC_MODE__u8_)                          \
		COMMS_LOG_NAME(DATA_RATE__u32_)                          \
		COMMS_LOG_NAME(ENABLE_DC_FILTER__u8_)                          \
		COMMS_LOG_NAME(FEC_ENABLE__u8_)                          \
		COMMS_LOG_NAME(PREAMBLE_NUMBER__u8_)                          \
		COMMS_LOG_NAME(CHANNEL_BW__u32_)                          \
		COMMS_LOG_NAME(MANCHESTER_ENABLE__u8_)                          \
		COMMS_LOG_NAME(FREQ_DEVIATION__u32_)                          \
		COMMS_LOG_NAME(SYNC_TIMEOUT__u32_)                          \
		COMMS_LOG_NAME(RX_ATTENUATION__u32_)                          \
		COMMS_LOG_NAME(SYNC0__hex__SYNC1__hex_)                          \
		COMMS_LOG_NAME(PKT_LEN__hex_)                          \
		COMMS_LOG_NAME(DEMOD_SYNC_WORD__hex_)                          \
		COMMS_LOG_NAME(PACKET_LENGTH__hex_)                          \
		COMMS_LOG_NAME(WHITENING_ENABLE__hex_)                          \
		COMMS_LOG_NAME(PACKET_FORMAT__hex_)                          \
		COMMS_LOG_NAME(CRC_ENABLE__hex_)                          \
		COMMS_LOG_NAME(PACKET_LENGTH_CFG__hex_)                          \
		COMMS_LOG_NAME(DEVICE_ADDRESS__hex_)                          \
		COMMS_LOG_NAME(MA_DVGA_GAIN__hex_)                          \
		COMMS_LOG_NAME(MAX_LNA_GAIN__hex_)                          \
		COMMS_LOG_NAME(LNA_SEL__hex_)                          \
		COMMS_LOG_NAME(FILTERLEN__hex_)                          \
		COMMS_LOG_NAME(POWER_TABLE__hex_)                          \
		COMMS_LOG_NAME(OUTPUT_PPOWER__hex_)                          \
		COMMS_LOG_NAME(UHF_RF_CFG_RB_FSCTRL1__hex_)                          \
		COMMS_LOG_NAME(UHF_RF_CFG_RB_CHANNR__u8__RB_TX_CFG_RB_CHAN_NUM__u8_)                          \
		COMMS_LOG_NAME(MOD_TYPE__u8_)                          \
		COMMS_LOG_NAME(SYNC_MOD__u8_)                          \
		COMMS_LOG_NAME(ENB_DC_FILTER__u8_)                          \
		COMMS_LOG_NAME(CHAN_SPACING__u32_)                          \
		COMMS_LOG_NAME(FREQ_DEV__u32_)                          \
		COMMS_LOG_NAME(TX_CHANNEL_SPACING_E__hex__CHANNEL_SPACING_M__hex_)                          \
		COMMS_LOG_NAME(TX_DATA_RATE_E__hex__DATA_RATE_M__hex_)                          \
		COMMS_LOG_NAME(TX_CHANNEL_BW_E__hex__CHANNEL_BW_M__hex_)                          \
		COMMS_LOG_NAME(TX_FREQ_DEVIATION_E__hex__TX_FREQ_DEVIATION_M__hex_)                          \
		COMMS_LOG_NAME(UHF_RF_CFG_RB_CHANNR__u8__RB_RX_CFG_RB_CHAN_NUM__u8_)                          \
		COMMS_LOG_NAME(RX_MOD_TYPE__u8_)                          \
		COMMS_LOG_NAME(RX_RXSYNC_MOE__u8_)                          \
		COMMS_LOG_NAME(RX_ENB_DC_FILTER__u8_)                          \
		COMMS_LOG_NAME(RX_MANCHESTER_ENABLE__u8_)                          \
		COMMS_LOG_NAME(RX_BASE_FREQ__u32_)                          \
		COMMS_LOG_NAME(RX_IF_FREQ__u32_)                          \
		COMMS_LOG_NAME(RX_CHAN_SPACING__u32_)                          \
		COMMS_LOG_NAME(RX_DATA_RATE__u32_)                          \
		COMMS_LOG_NAME(RX_CHANNEL_BW__u32_)                          \
		COMMS_LOG_NAME(RX_FREQ_DEV__u32_)                          \
		COMMS_LOG_NAME(RX_FREQ_OFFSET__u32_)                          \
		COMMS_LOG_NAME(RX_SYNC_TIMEOUT__u32_)                          \
		COMMS_LOG_NAME(RX_CHANNEL_SPACING_E__hex__CHANNEL_SPACING_M__hex_)                          \
		COMMS_LOG_NAME(RX_CHANNEL_BW_E__hex__CHANNEL_BW_M__hex_)                          \
		COMMS_LOG_NAME(RX_FREQ_DEVIATION_E__hex__TX_FREQ_DEVIATION_M__hex_)                          \
		COMMS_LOG_NAME(CANT_READ_PAYLOAD_FILE_LINE__u8__DOESNT_START_WITH)                          \
		COMMS_LOG_NAME(LINE_COUNT__u8__BYTE_COOUNT__u8_)                          \
		COMMS_LOG_NAME(ADDRESS_IS__u8_)                          \
		COMMS_LOG_NAME(EXTRA_BYTES_ON_LINE__u8_)                          \
		COMMS_LOG_NAME(EXP_CHECKSUM__u8_)                          \
		COMMS_LOG_NAME(CHECKSUM__u8_)                          \
		COMMS_LOG_NAME(BAD_CHECKSUM_ON_LINE__u8_)                          \
		COMMS_LOG_NAME(OUT_BUFF__u8_)                          \
		COMMS_LOG_NAME(PAGE__u8_)                          \
		COMMS_LOG_NAME(LST_BOOTLOADER_WRITE_PAGE_255)                          \
		COMMS_LOG_NAME(RECEIVED_RESPONSE_FOR_COMMS_UHF_INIT__u16_)                          \
		COMMS_LOG_NAME(RECEIVED_RESPONSE_FOR_COMMS_UHF_BOOT__u16_)                          \
		COMMS_LOG_NAME(IN_BOOT_DONE_STATE_STATUS_OF_INTERNAL_DFU_REQUEST__u16_)                          \
		COMMS_LOG_NAME(RECEIVED_RESPONSE_FOR_COMMS_UHF_DFU__u16_)                          \
		COMMS_LOG_NAME(SENDING_INTERNAL_LOG_CFG_REGUEST)                          \
		COMMS_LOG_NAME(IN_DFU_DONE_STATE_STATUS_OF_INTERNAL_LOG_CFG_REQUEST___u16_)                          \
		COMMS_LOG_NAME(RECEIVED_RESPONSE_FOR_COMMS_UHF_CFG___u16_)                          \
		COMMS_LOG_NAME(UHF_TIME_TM_RD_TMR_ENT__u8__u8__u8_)                          \
		COMMS_LOG_NAME(OS_TIMER_STARTED_AT_OBC_UHF_INIT__u32_)                          \
		COMMS_LOG_NAME(RECEIVED_RESPONSE_FOR_COMMS_UHF_CLAIB__u16_)                          \
		COMMS_LOG_NAME(IN_CALIB_DONE_STATE_STATUS_OF_INTERNAL_SLEEP_REQUEST_u16_)                          \
		COMMS_LOG_NAME(RECEIVED_RESPONSE_FOR_COMMS_UHF_SLEEP__u16_)                          \
		COMMS_LOG_NAME(IN_SLEEP_DONE_STATE_STATUS_OF_INTERNAL_TX_REQUEST__u16_)                          \
		COMMS_LOG_NAME(RECEIVED_RESPONSE_FOR_COMMS_UHF_ACTIVE_STATE__u16_)                          \
		COMMS_LOG_NAME(FIRST_SYNC_MSG_RECEIVED__s8_)                          \
		COMMS_LOG_NAME(SDR_APP_UHF_MH_REG)                          \
		COMMS_LOG_NAME(UHF_TIME_FSM_u8__u8__u8__status__u8_)                          \
		COMMS_LOG_NAME(UHF_TIME_FSM_MSG_ID__u16_)                          \
		COMMS_LOG_NAME(UHF_BEACON_ENABLE_TIMER_STARTED__u32_)                          \
		COMMS_LOG_NAME(UHF_TX_TIMER_STOPPED_TM_SEND_STOPPED)                          \
		COMMS_LOG_NAME(UHF_TX_TIMER_STOPPED_TM_SEND_NOT_STOPPED)                          \
		COMMS_LOG_NAME(UHF_CURRENT_TIME_u32_)                          \
		COMMS_LOG_NAME(RX_DATA_RATE_E__hex__DATA_RATE_M__hex_)                          \
		COMMS_LOG_NAME(UHF_TIME_IPC_ENT__u8__u8__u8_)                          \
		COMMS_LOG_NAME(UHF_TC_TM_ID_UPDATED)                          \
		COMMS_LOG_NAME(UHF_TIME_IPC_EXT__u8__u8__u8_)                          \
		COMMS_LOG_NAME(ENTRY_IN_SRS4_BOOT)                          \
		COMMS_LOG_NAME(ENTRY_IN_SRS4_BOOTLOADER_SET_ALTERNATE)                          \
		COMMS_LOG_NAME(ENTRY_IN_SRS4_BOOTLOADER_ERASE_ALTERNATE)                          \
		COMMS_LOG_NAME(ENTRY_IN_SRS4_BOOTLOADER_FLASH_ALTERNATE)                          \
		COMMS_LOG_NAME(ENTRY_IN_SRS4_BOOTLOADER_CHECKSUM_ALTERNATE)                          \
		COMMS_LOG_NAME(ENTRY_IN_SRS4_BOOT_C)                          \
		COMMS_LOG_NAME(ENTRY_IN_SRS4_SHELL)                          \
		COMMS_LOG_NAME(ANTARIS_SRS_4_SHELL_ENTRY)                          \
		COMMS_LOG_NAME(COMMS_FW_COPIED_AT_NOR_PASS)                          \
		COMMS_LOG_NAME(__SBAND__TM_PLD_RESPONSE_SENT)                          \
		COMMS_LOG_NAME(__hex_)                                                \
		COMMS_LOG_NAME(COMMS_LOG_MAX)
		
#define COMMS_GENERATE_ENUM(ENUM) ENUM,
#define COMMS_GENERATE_STRING(STRING) #STRING,

typedef enum log_comms_e_
{
	COMMS_FOREACH_LOG(COMMS_GENERATE_ENUM)
}log_comms_e;



#endif /* LOG_COMMS_H */
